#include <Multiprocessing.h>


// Prototypes
void Set_ColorTable(CTabHandle pCTabHandle);

void CopyBlits	(	const PixMapHandle srcPixMapHdl,
					const PixMapHandle dstPixMapHdl,
					const Rect *srcRect,
					const Rect *dstRect,
					MPCriticalRegionID blitterBusy
);


// 354 fps vs. 300 fps CopyBits
void CopyBlits8_8	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect,
						MPCriticalRegionID blitterBusy
);

// 50 fps vs. 42 fps CopyBits
void CopyBlits8_16	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect,
						MPCriticalRegionID blitterBusy
);

// 50 fps vs. 39 fps CopyBits
void CopyBlits8_32	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect,
						MPCriticalRegionID blitterBusy
);

