#include <Multiprocessing.h>

// Prototypes
void Set_ColorTable(CTabHandle pCTabHandle);

void CopyBlits	(	const PixMapHandle srcPixMapHdl,
					const PixMapHandle dstPixMapHdl,
					const Rect *srcRect,
					const Rect *dstRect,
					MPCriticalRegionID busy
);

// 194 fps vs. 300 fps CopyBits
void CopyBlits8	(	const PixMapHandle srcPixMapHdl,
					const PixMapHandle dstPixMapHdl,
					const Rect *srcRect,
					const Rect *dstRect
					
);

// 354 fps vs. 300 fps CopyBits
void CopyBlits8_8	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect,
						MPCriticalRegionID busy
);

// 50 fps vs. 42 fps CopyBits
void CopyBlits8_16	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect
);

// 50 fps vs. 39 fps CopyBits
void CopyBlits8_32	(	const PixMapHandle srcPixMapHdl,
						const PixMapHandle dstPixMapHdl,
						const Rect *srcRect,
						const Rect *dstRect,
						MPCriticalRegionID busy
);

void CopyBlitsI	(	const PixMapHandle srcPixMapHdl,
					const PixMapHandle dstPixMapHdl,
					const Rect *srcRect,
					const Rect *dstRect,
					MPCriticalRegionID busy
);
